/*************************************************************************
* SVWIN.H
* Tue Jan 18 18:31:09 1994
* (c) 1992-1993 STAR DIVISION
*************************************************************************/

#ifndef _SVWIN_H
#define _SVWIN_H

#define BOOL         WIN_BOOL
#define BYTE         WIN_BYTE
#define Rectangle    WIN_Rectangle
#define Polygon      WIN_Polygon
#define PolyPolygon  WIN_PolyPolygon
#define Region       WIN_Region

#ifdef WNT
#pragma pack(4)
#ifdef __cplusplus
extern "C" {
#endif
#endif

#if defined( __ZTC__ ) && (__ZTC__ < 0x0310)
#define _huge
#endif

#define STRICT
#include <windows.h>

#ifdef WNT
#pragma pack()
#ifdef __cplusplus
}
#endif
#endif

#undef Region
#undef PolyPolygon
#undef Polygon
#undef Rectangle
#undef BYTE
#undef BOOL

#define WIN_HELP_INDEX       0x0003
#define WIN_HELP_HELPONHELP  0x0004
#undef HELP_INDEX
#undef HELP_HELPONHELP

#define WIN_WB_LEFT               0
#define WIN_WB_RIGHT              1
#undef WB_LEFT
#undef WB_RIGHT

#ifdef GetObject
#undef GetObject
#define WIN_GetObject   GetObjectA
#endif

#ifdef DrawText
#undef DrawText
#define WIN_DrawText    DrawTextA
#endif

#ifdef GetUserName
#undef GetUserName
#define WIN_GetUserName GetUserNameA
#endif

#ifndef STRETCH_ANDSCANS
#define STRETCH_ANDSCANS        1
#endif
#ifndef STRETCH_ORSCANS
#define STRETCH_ORSCANS         2
#endif
#ifndef STRETCH_DELETESCANS
#define STRETCH_DELETESCANS     3
#endif

#endif 
