/*******************************************************************
*  IDLE.CXX
*  (c) 1992-1994 STAR DIVISION
*******************************************************************/

#include <sv.hxx>

// --- class MyApp -------------------------------------------------

class MyApp : public Application
{
public:
    virtual void Main( int, char*[] );
};

// --- class IdleWindow --------------------------------------------

class IdleWindow : public WorkWindow
{
public:
         IdleWindow();
    void IdleBeep( Application* );
};

// --- IdleWindow::IdleWindow() ------------------------------------

IdleWindow::IdleWindow() :
                WorkWindow( NULL, WB_APP | WB_STDWORK )
{
    pApp->InsertIdleHdl( LINK( this, IdleWindow, IdleBeep ), 1 );

    SetText( "IdleDemo" );
    Show();
}

// --- IdleWindow::IdleBeep() --------------------------------------

void IdleWindow::IdleBeep( Application* )
{
    Sound::Beep();
}

// --- MyApp::Main() -----------------------------------------------

void MyApp::Main( int, char*[] )
{
    IdleWindow aWindow;
    Execute();
}

// --- aMyApp ------------------------------------------------------

MyApp aMyApp;
