/*******************************************************************
*  DEDITDLG.CXX
*  (c) 1992-1994 STAR DIVISION
*******************************************************************/

#include <sv.hxx>

#include "dedtdemo.hrc"
#include "dedtdemo.hxx"

// --- class MyApp -------------------------------------------------

class MyApp : public Application
{
public:
    virtual void Main( int, char*[] );
};

// --- class MyWin -------------------------------------------------

class MyWin : public WorkWindow
{
public:
                    MyWin( Window* pParent, WinBits aWinStyle ) :
                        WorkWindow( pParent, aWinStyle ) {}

    virtual void    MouseButtonDown( const MouseEvent& );
    virtual void    Paint( const Rectangle& );
};

// --- class MyDlg -------------------------------------------------

class MyDlg : public ModalDialogEXAMPLE
{
public:
          MyDlg( Window* pParent );
};

// --- MyDlg::MyDlg() ----------------------------------------------

MyDlg::MyDlg( Window* pParent ) :
           ModalDialogEXAMPLE( pParent, ResId( EXAMPLE ) )
{
}

// --- MyWin::MouseButtonDown() ------------------------------------

void MyWin::MouseButtonDown( const MouseEvent& )
{
    MyDlg( this ).Execute();
}

// --- MyWin::Paint() ----------------------------------------------

void MyWin::Paint( const Rectangle& )
{
    DrawText( Point( 10, 10 ), "Press a MouseButton" );
}

// --- MyApp::Main() -----------------------------------------------

void MyApp::Main( int, char*[] )
{
    MyWin aMainWin( NULL, WB_APP | WB_STDWORK );

    aMainWin.SetText( "Design Editor Demo" );
    aMainWin.Show();

    EnableSVLook();

    Execute();
}

// --- aMyApp ------------------------------------------------------

MyApp aMyApp;
