#*******************************************************************
#* MAKE.INC
#* (c) 1992-1994 STAR DIVISION GmbH
#*******************************************************************

# *** Defines ******************************************************
MISC=misc
SYS=WIN
COM=MSC
LANG=ENGLISH

# *** Compiler *****************************************************
CC=cl
CDEFS=-D$(SYS) -D$(COM)
!IFDEF product
CFLAGS=-c -G2 -Gf -Zp1 -W3 -AL -GA -GEfs -Ox -Gs -Fo$@ $(CDEFS)
!ELSE
CFLAGS=-c -G2 -Gf -Zp1 -W3 -AL -GA -GEfs -Od -Fo$@ $(CDEFS)
!ENDIF

# *** Linker *******************************************************
LINK=link
LINKFLAGS= /FARCALL /NOD /NOE /A:16 /MAP
STDOBJS=
STDLIBS=oldnames.lib llibcew.lib libw.lib

# *** Resource-Compiler ********************************************
RSC=rsc
RSCFLAGS=-s -D$(SYS) -D$(COM) -fp$@
RSCLINK=-l -lg$(LANG)

# *** System-Resource-Compiler *************************************
RC=rc
RCFLAGS=-k -t -31
RCSETVERSION=rc -k -t -31 $@

# *** Help-Compiler ************************************************
HC=hc
HCFLAGS=

# *** Rules ********************************************************
.SUFFIXES:
.SUFFIXES: .cxx .hxx .c .asm .obj .lib .rc .res .dll .exe .src .hrc .srs

{.}.cxx{$(MISC)}.obj:
    @echo ---------------
    @echo Making: $@
    $(CC) $(CFLAGS) -Tp$(@B).cxx

{.}.src{$(MISC)}.srs:
    @echo ---------------
    @echo Making: $@
    $(RSC) $(RSCFLAGS) $(@B).src

# *** DefFile-Flags ************************************************
API=
EXETYPE=EXETYPE WINDOWS
STUB=STUB 'winstub.exe'
PROTMODE=PROTMODE
CODE=CODE PRELOAD MOVEABLE DISCARDABLE
DATA=DATA PRELOAD MOVEABLE MULTIPLE
