/*******************************************************************
*  ABOUT4.CXX
*  (c) 1992-1994 STAR DIVISION
*******************************************************************/

#include <sv.hxx>

#include "about4.hrc"
#include "about4.hxx"

// --- AboutBox::AboutBox() ----------------------------------------

AboutBox::AboutBox( Window* pParent ) :
          ModalDialog( pParent, ResId( RID_ABOUTBOX ) ),
          aText( this, ResId( RID_TEXT ) ),
          aOKButton( this, ResId( RID_OK ) )
{
    FreeResource();
}

// --- AboutBox::Paint() -------------------------------------------

void AboutBox::Paint( const Rectangle& )
{
    Brush   aOldBrush;
    Point   aPointAry[3];
    aPointAry[0] = Point( 110,70 );
    aPointAry[1] = Point( 140,30 );
    aPointAry[2] = Point( 170,70 );

    aOldBrush = ChangeFillInBrush( Brush( Color( COL_RED ) ) );
    DrawRect( Rectangle( Point( 20, 10 ), Point( 80, 50 ) ) );

    ChangeFillInBrush( Brush( Color( COL_BLUE ) ) );
    DrawEllipse( Rectangle( Point( 60, 20 ), Point( 130, 60 ) ) );

    ChangeFillInBrush( Brush( Color( COL_GREEN ) ) );
    DrawPolygon( Polygon( 3, aPointAry ) );

    ChangeFillInBrush( aOldBrush );
}
